Subject: Re: [tcpm] I-D ACTION:draft-ietf-tcpm-tcp-soft-errors-06.txt

From: Arifumi Matsumoto <[email-masked]>
Date: Wed, 04 Jul 2007 16:27:54 +0900

Hi all,

this revision basically looks good to me.

About section 2 which I commented the other day and Fernando
addressed it perfectly, it occurred to me that SIIT RFC(2765)
nicely described the translation from ICMPv4 Error Messages to
ICMPv6 Error Messages at "ICMP Error" part in section 3.3 page 14.

It seems to me better to just put reference to RFC2765 to clarify
the error code mapppng between ICMP and ICMPv6 error messages
and to clarify that soft/hard classification corresponds to that
of RFC1122.

Please don't take me wrong, I'm not trying to slow down
standardization of this draft ;)

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the TCP Maintenance and Minor Extensions Working Group of the IETF.
> 
> 	Title		: TCP's Reaction to Soft Errors
> 	Author(s)	: F. Gont
> 	Filename	: draft-ietf-tcpm-tcp-soft-errors-06.txt
> 	Pages		: 15
> 	Date		: 2007-6-25
> 	
> This document describes a non-standard, but widely implemented,
>    modification to TCP's handling of ICMP soft error messages, that
>    rejects pending connection-requests when those error messages are
>    received.  This behavior reduces the likelihood of long delays
>    between connection establishment attempts that may arise in a number
>    of scenarios, including one in which dual stack nodes that have IPv6
>    enabled by default are deployed in IPv4 or mixed IPv4 and IPv6
>    environments.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-tcpm-tcp-soft-errors-06.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of 
> the message. 
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-ietf-tcpm-tcp-soft-errors-06.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-tcpm-tcp-soft-errors-06.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tcpm

-- 
Arifumi Matsumoto
    IP Technology Expert Team
    Secure Communication Project
    NTT Information Sharing Platform Laboratories
    E-mail: [email-masked]

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm